/notifications Get a list of notifications that user has
Returns all notifications (except emails and links) for the given user
Maintained by the OnePageCRM engineering team
Query parameters
| Name | Type | Description |
|---|---|---|
page | integer | Page number. Starts from 1. Default is 1. |
per_page | integer | Number of records to return. Maximum 100 allowed. Default is 10. |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
notificationsarray<object>array item fields β
notificationobjectA serialised notification. There are different types of notifications, each can have its own properties
object fields β
idstringbson-idID of the notification
typestringType of the notification
enum: assigned_action Β· action_with_time Β· contact_assigned Β· call Β· meeting Β· email Β· link Β· note
bystringUser name that caused the notification
readbooleanTells if notification was marked as read
user_idstringbson-idThe ID of affected user, ID of assignee user
contact_idstringbson-idThe ID of a contact related to which the notification has been created
created_atstringDate which tells when the notification was created
modified_atstringDate which tells when the notification was last updated
mobile_dataobjectData created for the purpose of push notifications for mobile apps
object fields β
titlestringTitle of push notification
bodystringBody of push notification
action_typestringType of action
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.